Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.19.2] Check if player can mine the block


Adil Yilan
 Share

Recommended Posts

I am implementing some custom logic in LeftClickBlock event handler and I need to determine whether player can destroy block by simple mining with tool in hand.

For example, if player starts to mine the Obsidian with Stone Pickaxe, it would be convenient to have some method that would return false for ability to destroy it, based on tool/material requirements for mining of Obsidian.

Is there such a method already?

I have tried getDestroySpeed on ItemStack and getDigSpeed on Player, but both return a value of 4.00 so I can't make any further logic based on that...

Thanks in advance :)

 

Link to comment
Share on other sites

Player.hasCorrectToolForDrops()

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

@warjort That one is for drops, but I would like to check whether it can be destroyed through mining, regardless if it will drop or not.

For example, hasCorrectToolForDrops method returns false when you mine Diamond Ore Block with Stone Pickaxe - but I really want to know if player can mine it, not if it will drop diamond, so preferred result would be true.

Is there a different method that just checks for ability to destroy it?

Link to comment
Share on other sites

You can pretty much always mine a block. You just don't get any items/drops.

Try punching obsidian for long enough.

 

There are exceptions like

* Command Blocks which is hardcoded,

* Bedrock which has a destroy speed of -1

* or if somebody uses one of the forge events to cancel() the block break.

But I don't think there is any generic way to test for this? They are "ad hoc" logic.

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

@warjort Thanks for useful info. :)

I've just found this also:

"The base time in seconds is the block's hardness multiplied by 1.5 if the player can harvest the block with the current tool, or 5 if the player cannot."

So I will most likely go and calculate for duration of time required to break the block by using hardness and player.hasCorrectToolForDrops(), and place threshold instead - e.g. if it is longer than 30 seconds skip action or something like that.

Thanks again :)

 

Link to comment
Share on other sites

There are other considerations, it depends what you are actually trying to achieve?

e.g. if the player has haste or mining fatigue.

Boilerplate:

If you don't post your logs/debug.log we can't help you. For curseforge you need to enable the forge debug.log in its minecraft settings. You should also post your crash report if you have one.

If there is no error in the log file and you don't have a crash report then post the launcher_log.txt from the minecraft folder. Again for curseforge this will be in your curseforge/minecraft/Install

Large files should be posted to a file sharing site like https://gist.github.com  You should also read the support forum sticky post.

Link to comment
Share on other sites

I am creating enchant that will allow player to cause quake when mining which will result in several cracks in the ground.

So player hits one block, and with Quake enchantment, stones, stone replaceables and ores in specific directions will also be destroyed and possibly drop loot.

I don't want to allow players to mine blocks with this enchant that would otherwise be very hard to mine with enchanted tool.

So if stone tool takes too much time to mine some block in the path, I might leave that block intact and find another route for crack to happen.

Link to comment
Share on other sites

Like warjort already said, this is not possible to check easily. You can attempt to break any block, the block then determines how far along you are at breaking it (BlockState#getDestroyProgress). Unbreakable blocks like bedrock just keep returning 0 here no matter how long you mine them for, but this is not easy to detect. See ServerPlayerGameMode#incrementDestroyProgress and where it is used as well.

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



  • Recently Browsing

    • No registered users viewing this page.
  • Posts

    • I have a bit of mods on the server but the server has been able to play them all before together and still run allowing me and my friends to get on. It keeps giving me the fatally missing registry entry error but giving no context as to what the error might be causing it. Have no clue what to do and I highly doubt the mods I have to be incompatible.  
    • I am trying to create a 1.18.2 forge modpack but i keep running into this/similar errors     C:\Users\bulls\Desktop\server>REM Forge requires a configured set of both JVM and program arguments. C:\Users\bulls\Desktop\server>REM Add custom JVM arguments to the user_jvm_args.txt C:\Users\bulls\Desktop\server>REM Add custom program arguments {such as nogui} to this file in the next line before the  or C:\Users\bulls\Desktop\server>REM  pass them to this script directly C:\Users\bulls\Desktop\server>java @user_jvm_args.txt @libraries/net/minecraftforge/forge/1.18.2-40.1.80/win_args.txt 2022-09-28 00:49:29,934 main WARN Advanced terminal features are not available in this environment [00:49:30] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, forgeserver, --fml.forgeVersion, 40.1.80, --fml.mcVersion, 1.18.2, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20220404.173914] [00:49:30] [main/INFO] [cp.mo.mo.Launcher/MODLAUNCHER]: ModLauncher 9.1.3+9.1.3+main.9b69c82a starting: java version 19 by Oracle Corporation [00:49:30] [main/INFO] [mixin/]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=union:/C:/Users/bulls/Desktop/server/libraries/org/spongepowered/mixin/0.8.5/mixin-0.8.5.jar%2314!/ Service=ModLauncher Env=SERVER [00:49:30] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\bulls\Desktop\server\libraries\net\minecraftforge\fmlcore\1.18.2-40.1.80\fmlcore-1.18.2-40.1.80.jar is missing mods.toml file [00:49:30] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\bulls\Desktop\server\libraries\net\minecraftforge\javafmllanguage\1.18.2-40.1.80\javafmllanguage-1.18.2-40.1.80.jar is missing mods.toml file [00:49:30] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\bulls\Desktop\server\libraries\net\minecraftforge\lowcodelanguage\1.18.2-40.1.80\lowcodelanguage-1.18.2-40.1.80.jar is missing mods.toml file [00:49:30] [main/WARN] [ne.mi.fm.lo.mo.ModFileParser/LOADING]: Mod file C:\Users\bulls\Desktop\server\libraries\net\minecraftforge\mclanguage\1.18.2-40.1.80\mclanguage-1.18.2-40.1.80.jar is missing mods.toml file [00:49:30] [main/INFO] [ne.mi.fm.lo.mo.JarInJarDependencyLocator/]: Found 1 dependencies adding them to mods collection [00:49:33] [main/INFO] [mixin/]: Compatibility level set to JAVA_17 [00:49:33] [main/INFO] [cp.mo.mo.LaunchServiceHandler/MODLAUNCHER]: Launching target 'forgeserver' with arguments [] [00:49:33] [main/WARN] [mixin/]: Reference map 'grapplemod.refmap.json' for grapplemod.mixins.json could not be read. If this is a development environment you can ignore this message [00:49:33] [main/WARN] [mixin/]: Reference map 'bloodmagic.refmap.json' for bloodmagic.mixins.json could not be read. If this is a development environment you can ignore this message [00:49:33] [main/WARN] [mixin/]: Reference map 'nethersdelight.refmap.json' for nethersdelight.mixins.json could not be read. If this is a development environment you can ignore this message [00:49:33] [main/WARN] [mixin/]: Error loading class: net/minecraft/world/level/levelgen/WorldGenSettings (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:33] [main/WARN] [mixin/]: @Mixin target net.minecraft.world.level.levelgen.WorldGenSettings was not found ae2.mixins.json:spatial.WorldGenSettingsMixin [00:49:33] [main/WARN] [mixin/]: Error loading class: net/minecraft/world/level/storage/LevelStorageSource (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:33] [main/WARN] [mixin/]: @Mixin target net.minecraft.world.level.storage.LevelStorageSource was not found ae2.mixins.json:spatial.FixupDimensionsMixin [00:49:34] [main/FATAL] [ne.mi.fm.lo.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/player/LocalPlayer for invalid dist DEDICATED_SERVER [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/player/LocalPlayer (java.lang.RuntimeException: Attempted to load class net/minecraft/client/player/LocalPlayer for invalid dist DEDICATED_SERVER) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.player.LocalPlayer was not found ars_nouveau.mixins.json:elytra.ClientElytraMixin [Serene Seasons Transformer]: Transforming m_8714_ (Lnet/minecraft/world/level/chunk/LevelChunk;I)V in net/minecraft/server/level/ServerLevel [Serene Seasons Transformer]: Successfully patched tickChunk [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/level/ServerLevel (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.level.ServerLevel was not found immersiveengineering.mixins.json:coremods.ServerWorldMixin [Serene Seasons Transformer]: Transforming m_47480_ (Lnet/minecraft/world/level/LevelReader;Lnet/minecraft/core/BlockPos;Z)Z in net/minecraft/world/level/biome/Biome [Serene Seasons Transformer]: Patched 1 calls [Serene Seasons Transformer]: Transforming m_47519_ (Lnet/minecraft/world/level/LevelReader;Lnet/minecraft/core/BlockPos;)Z in net/minecraft/world/level/biome/Biome [Serene Seasons Transformer]: Successfully patched shouldSnow [Serene Seasons Transformer]: Transforming m_8714_ (Lnet/minecraft/world/level/chunk/LevelChunk;I)V in net/minecraft/server/level/ServerLevel [Serene Seasons Transformer]: Successfully patched tickChunk [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/level/ServerLevel (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.level.ServerLevel was not found botania_xplat.mixins.json:MixinServerLevel [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/world/item/ItemStack (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.world.item.ItemStack was not found quark.mixins.json:ItemStackMixin [Serene Seasons Transformer]: Transforming m_8714_ (Lnet/minecraft/world/level/chunk/LevelChunk;I)V in net/minecraft/server/level/ServerLevel [Serene Seasons Transformer]: Successfully patched tickChunk [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/level/ServerLevel (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.level.ServerLevel was not found enhancedcelestials.mixins.json:MixinServerWorld [Serene Seasons Transformer]: Transforming m_8714_ (Lnet/minecraft/world/level/chunk/LevelChunk;I)V in net/minecraft/server/level/ServerLevel [Serene Seasons Transformer]: Successfully patched tickChunk [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/level/ServerLevel (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.level.ServerLevel was not found byg.mixins.json:common.world.MixinServerLevel [Serene Seasons Transformer]: Transforming m_8714_ (Lnet/minecraft/world/level/chunk/LevelChunk;I)V in net/minecraft/server/level/ServerLevel [Serene Seasons Transformer]: Successfully patched tickChunk [00:49:34] [main/WARN] [mixin/]: Error loading class: net/minecraft/server/level/ServerLevel (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: @Mixin target net.minecraft.server.level.ServerLevel was not found create.mixins.json:accessor.ServerLevelAccessor [00:49:34] [main/WARN] [mixin/]: Error loading class: java/util/Map$Entry (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/util/Map$Entry (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/util/Map$Entry (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/util/Map$Entry (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/lang/invoke/MethodHandles$Lookup (java.lang.IllegalArgumentException: Unsupported class file major version 63) [00:49:34] [main/WARN] [mixin/]: Error loading class: java/util/concurrent/CompletableFuture (java.lang.IllegalArgumentException: Unsupported class file major version 63) Exception in thread "main" org.spongepowered.asm.mixin.transformer.throwables.MixinTransformerError: An unexpected critical error was encountered         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinProcessor.applyMixins(MixinProcessor.java:392)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinTransformer.transformClass(MixinTransformer.java:250)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.service.modlauncher.MixinTransformationHandler.processClass(MixinTransformationHandler.java:131)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.launch.MixinLaunchPluginLegacy.processClass(MixinLaunchPluginLegacy.java:131)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.serviceapi.ILaunchPluginService.processClassWithFlags(ILaunchPluginService.java:156)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.LaunchPluginHandler.offerClassNodeToPlugins(LaunchPluginHandler.java:88)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.ClassTransformer.transform(ClassTransformer.java:120)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.TransformingClassLoader.maybeTransformClassBytes(TransformingClassLoader.java:50)         at cpw.mods.securejarhandler@1.0.3/cpw.mods.cl.ModuleClassLoader.readerToClass(ModuleClassLoader.java:110)         at cpw.mods.securejarhandler@1.0.3/cpw.mods.cl.ModuleClassLoader.lambda$findClass$16(ModuleClassLoader.java:216)         at cpw.mods.securejarhandler@1.0.3/cpw.mods.cl.ModuleClassLoader.loadFromModule(ModuleClassLoader.java:226)         at cpw.mods.securejarhandler@1.0.3/cpw.mods.cl.ModuleClassLoader.findClass(ModuleClassLoader.java:216)         at cpw.mods.securejarhandler@1.0.3/cpw.mods.cl.ModuleClassLoader.loadClass(ModuleClassLoader.java:132)         at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:521)         at java.base/java.lang.Class.getDeclaredMethods0(Native Method)         at java.base/java.lang.Class.privateGetDeclaredMethods(Class.java:3458)         at java.base/java.lang.Class.getMethodsRecursive(Class.java:3599)         at java.base/java.lang.Class.getMethod0(Class.java:3585)         at java.base/java.lang.Class.getMethod(Class.java:2275)         at MC-BOOTSTRAP/fmlloader@1.18.2-40.1.80/net.minecraftforge.fml.loading.targets.CommonServerLaunchHandler.lambda$launchService$0(CommonServerLaunchHandler.java:32)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.LaunchServiceHandlerDecorator.launch(LaunchServiceHandlerDecorator.java:37)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:53)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.LaunchServiceHandler.launch(LaunchServiceHandler.java:71)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.Launcher.run(Launcher.java:106)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.Launcher.main(Launcher.java:77)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:26)         at MC-BOOTSTRAP/cpw.mods.modlauncher@9.1.3/cpw.mods.modlauncher.BootstrapLaunchConsumer.accept(BootstrapLaunchConsumer.java:23)         at cpw.mods.bootstraplauncher@1.0.0/cpw.mods.bootstraplauncher.BootstrapLauncher.main(BootstrapLauncher.java:149) Caused by: org.spongepowered.asm.mixin.throwables.ClassMetadataNotFoundException: java.util.concurrent.CompletableFuture         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinPreProcessorStandard.transformMethod(MixinPreProcessorStandard.java:754)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinPreProcessorStandard.transform(MixinPreProcessorStandard.java:739)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinPreProcessorStandard.attach(MixinPreProcessorStandard.java:310)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinPreProcessorStandard.createContextFor(MixinPreProcessorStandard.java:280)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinInfo.createContextFor(MixinInfo.java:1288)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinApplicatorStandard.apply(MixinApplicatorStandard.java:292)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.TargetClassContext.apply(TargetClassContext.java:383)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.TargetClassContext.applyMixins(TargetClassContext.java:365)         at MC-BOOTSTRAP/org.spongepowered.mixin/org.spongepowered.asm.mixin.transformer.MixinProcessor.applyMixins(MixinProcessor.java:363)         ... 27 more C:\Users\bulls\Desktop\server>pause Press any key to continue . . .  
    • My Init Method is called in my main class, along with all of my other deferred registers.   My issue isn't so much that I'm unable to spawn the slime (Im not able too) but that the game CTDs after about 20 seconds of creating a new world, and instantly upon trying to enter it again.   I will try the entity renderer method tomorrow, and could you describe the methods of attaching the subscribing events? I've been working on this pretty much on my own, with very little guidance other than source code. So it would be very helpful
    • I'm going to take a guess and say you don't call your init method anywhere. If not, then you need to provide more context for your mod. Additionally, entity renderers must be registered through `EntityRenderersEvent$RegisterRenderers#registerEntityRenderer`. Also, stick to only one method of subscribing events to the mod bus. You should never use OnlyIn. This is an annotation specifically for internal use only by Forge.
    • If you are unable to download Forge through adfocus, you can get a direct install link by clicking Show All Versions, navigating to the information button next to the version, and clicking the direct install link. This should be used as a last resort, however, as Forge covers its required costs through adfocus.
  • Topics

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.